package com.bonus.utils.id;

import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties(
   prefix = "id"
)
public class IdProperties {
   public static final String PREFIX = "id";
   private Boolean enabled = true;
   private String key = "worker_id_sequence";
   private String workspace;

   public Boolean getEnabled() {
      return this.enabled;
   }

   public String getKey() {
      return this.key;
   }

   public String getWorkspace() {
      return this.workspace;
   }

   public void setEnabled(final Boolean enabled) {
      this.enabled = enabled;
   }

   public void setKey(final String key) {
      this.key = key;
   }

   public void setWorkspace(final String workspace) {
      this.workspace = workspace;
   }
}
